import type { IAdBreakParams, IAdConfigParams, IAdsInitParams, IAdUnitParams, JoliboxAds as IJoliboxAds } from '@jolibox/types/dist/sdks/ads';
import { BaseSDK, BaseSDKEventMap } from './sdk';
export type JoliboxAdsEventMap = BaseSDKEventMap;
/**
 * @public
 * Manages advertising functionalities within the Jolibox ecosystem.
 */
export declare class JoliboxAds extends BaseSDK<JoliboxAdsEventMap> implements IJoliboxAds {
    constructor();
    init: (config?: IAdsInitParams) => void;
    adConfig: (params: IAdConfigParams) => void;
    adBreak: (params: IAdBreakParams) => void;
    adUnit: (params: IAdUnitParams) => void;
    /**
     * Initializes a new ad unit.
     * @param unitId - The ID of the ad unit.
     * @returns A promise that resolves when the ad is loaded.
     */
    initAd(unitId: string): Promise<void>;
}
